Package classycle.graph

# Class StrongComponentAnalyser

java.lang.Object
classycle.graph.StrongComponentAnalyser

public class StrongComponentAnalyser extends Object
Analyser of a directed graph for finding its strong components.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`StrongComponentAnalyser(AtomicVertex[] graph)`
Creates an instance for the specified graph.

## Method Summary

Modifier and Type
Method
Description
`StrongComponent[]`
`getCondensedGraph()`
Returns the graph of strong components.
`AtomicVertex[]`
`getGraph()`
Returns the original graph.
`Map<AtomicVertex,Integer>`
`getLayerMap()`
Returns the maping of the nodes of the original graph onto a layer index (i.e. length of the longest path of the condensed graph).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StrongComponentAnalyser

public StrongComponentAnalyser(AtomicVertex[] graph)
Creates an instance for the specified graph.

## Method Details

### getGraph

public AtomicVertex[] getGraph()
Returns the original graph. That is, the argument of the constructor.

### getCondensedGraph

public StrongComponent[] getCondensedGraph()
Returns the graph of strong components.

### getLayerMap

public Map<AtomicVertex,Integer> getLayerMap()
Returns the maping of the nodes of the original graph onto a layer index (i.e. length of the longest path of the condensed graph).

Returns:
  a map where the keys are instances of `AtomicVertex` and the values are instances of `Integer`.